Package com.xebialabs.xlrelease.events

# Class ReleaseVariablesUpdateOperation$

java.lang.Object
scala.runtime.AbstractFunction3<List<Variable>,List<Variable>,Object,ReleaseVariablesUpdateOperation>
com.xebialabs.xlrelease.events.ReleaseVariablesUpdateOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<List<Variable>,List<Variable>,Object,ReleaseVariablesUpdateOperation>`

public class ReleaseVariablesUpdateOperation$ extends scala.runtime.AbstractFunction3<List<Variable>,List<Variable>,Object,ReleaseVariablesUpdateOperation> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReleaseVariablesUpdateOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseVariablesUpdateOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReleaseVariablesUpdateOperation`
  `apply(List<Variable> original, List<Variable> updated, boolean logDelete)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<List<Variable>,List<Variable>,Object>>`
  `unapply(ReleaseVariablesUpdateOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final ReleaseVariablesUpdateOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ReleaseVariablesUpdateOperation$

    public ReleaseVariablesUpdateOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<List<Variable>,List<Variable>,Object,ReleaseVariablesUpdateOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<List<Variable>,List<Variable>,Object,ReleaseVariablesUpdateOperation>`

  - ### apply

    public ReleaseVariablesUpdateOperation apply(List<Variable> original, List<Variable> updated, boolean logDelete)

  - ### unapply

    public scala.Option<scala.Tuple3<List<Variable>,List<Variable>,Object>> unapply(ReleaseVariablesUpdateOperation x$0)